Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#26 Le 04/11/2020, à 20:08

xubu1957

Re : [Résolu] Epson 2100

Je ne sais pas (bis). ¯\_(ツ)_/¯


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#27 Le 05/11/2020, à 00:11

ylag

Re : [Résolu] Epson 2100

Bonsoir,

Sessklah a écrit :

Je pensais que les lignes me permettraient de le faire. Je crois que j'ai trouvé ou dl Alien, j'ai acces à un dossier avec plein de truc mais je crois que c'est pour debian. Donc comment je procède pour convertir ?

Pour convertir quoi, exactement?

En recherchant le modèle XP-2100 pour Linux sur le site de téléchargements Epson, on obtient ceci:

1604526083.png

Il faut choisir le premier fichier pour le pilote de l'imprimante:
XP-2100 Series Printer Driver     Linux1.7.8     ESC/P-R Driver (generic driver)     All language 10-14-2020
..qui donne un paquet *.deb nommé epson-inkjet-printer-escpr_1.7.8-1lsb3.2_amd64.deb directement installable avec Gdebi ou en ligne de commande avec dpkg
Noter qu'il faut au préalable avoir installé le paquet lsb, disponible dans les dépôts réguliers.

Pour l'utilitaire de scan, c'est le dernier fichier de la liste qui est une archive compressée en *.tar.gz nommée imagescan-bundle-ubuntu-20.04-3.63.0.x64.deb.tar.gz qui, une fois décompressée par un clic de droite sur l'archive dans «Fichiers» (nautilus...), puis faire «Extraire ici», donne un répertoire nommé imagescan-bundle-ubuntu-20.04-3.63.0.x64.deb contenant un script exécutable nommé install.sh ainsi qu'un fichier texte README.rst contenant les instructions d'installation de l'utilitaire de scan.
En gros, il faut se placer dans le répertoire contenant le script avec la commande cd et lancer le script avec la commande:

./install.sh

...puis répondre aux demandes du terminal.

Il y aurait aussi «Epson Printer Utility»:
XP-2100 Series  Printer Driver  Linux   1.1.1     Epson Printer Utility  All language  10-27-2020
...qui est aussi un paquet *.deb dont l'installation est similaire à celle du pilote de l'imprimante, mais dont je ne connais pas l'utilité.

Remarque que je ne sais pas si l'installation de ces pilotes serait suffisante pour fare fonctionner ton appareil, ni même si le tout s'installerait sans encombres sur Focal 20.04; ce sera à toi de voir dans ce cas.

A+

Dernière modification par ylag (Le 05/11/2020, à 00:20)

Hors ligne

#28 Le 05/11/2020, à 08:14

xubu1957

Re : [Résolu] Epson 2100

Bonjour,

@ylag

ylag a écrit :

Il y aurait aussi «Epson Printer Utility»:
XP-2100 Series  Printer Driver  Linux   1.1.1     Epson Printer Utility  All language  10-27-2020
...qui est aussi un paquet *.deb dont l'installation est similaire à celle du pilote de l'imprimante, mais dont je ne connais pas l'utilité.

J'avais trouvé cette page > askubuntu.com/questions/752763/how-to-get-epson-printer-utility-to-start-from-launcher-in-ubuntu  wink


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#29 Le 05/11/2020, à 11:30

Sessklah

Re : [Résolu] Epson 2100

Ok bon j'ai un soucis.
J'ai bien installé Alien depuis le lien que tu m'as donné, je l'ai bel et bien installé puisque que quand je reclique dessus il me dit que le paquet est dejà installé. Pourtatn:

berdan@berdan-K55VM:~$ sudo apt install ALIEN
[sudo] Mot de passe de berdan : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet ALIEN

ou bien quand je tente de convertir:

berdan@berdan-K55VM:~$ sudo alien -i paquet.ext
File "paquet.ext" not found.

Je ne comprends pas ce que je fis mal !

Hors ligne

#30 Le 05/11/2020, à 11:32

xubu1957

Re : [Résolu] Epson 2100

Bonjour,

Et en minuscules :

sudo apt install alien

?

Les commandes sont sensibles à la casse.

> /wiki/Sensibilité_à_la_casse

Pour cette erreur :

berdan@berdan-K55VM:~$ sudo alien -i paquet.ext
File "paquet.ext" not found.

Il faudrait indiquer le nom exact du paquet, au lieu de paquet mis en exemple.

Dernière modification par xubu1957 (Le 05/11/2020, à 11:40)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#31 Le 05/11/2020, à 12:19

Sessklah

Re : [Résolu] Epson 2100

ok j'ai balancé en minuscle et il me sort ça.

berdan@berdan-K55VM:~$ sudo apt install alien
[sudo] Mot de passe de berdan : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
alien est déjà la version la plus récente (8.95).
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  command-not-found-data diffstat fwupdate geoip-database
  gnome-software-common ifupdown libappstream-glib8 libapt-pkg-perl
  libavutil55 libboost-date-time1.65.1 libboost-iostreams1.65.1
  libboost-system1.65.1 libclass-xsaccessor-perl libcommon-sense-perl
  libdigest-bubblebabble-perl libevent-2.1-6 libexempi3 libexiv2-14
  libexporter-tiny-perl libfakeroot libffi6 libfuture-perl libgmime-3.0-0
  libgnome-desktop-3-17 libgutenprint-common libgutenprint2 libhogweed4
  libhunspell-1.6-0 libindicator3-7 libip4tc0 libisc169 libjson-c3
  libjson-xs-perl liblinux-epoll-perl liblist-compare-perl libmozjs-52-0
  libmutter-2-0 libmysofa0 libnet-dns-perl libnet-ip-perl libnettle6
  libnss-myhostname libpath-tiny-perl libplymouth4 libpoppler73 libpostproc54
  libreoffice-style-galaxy libsereal-decoder-perl libsub-identify-perl
  libswresample2 libtest-fatal-perl libtext-levenshtein-perl libtype-tiny-perl
  libtypes-serialiser-perl libunicode-utf8-perl libvpx5 libx265-146
  libxml-simple-perl nplan pppconfig python-cairo python3-asn1crypto qpdf
  xserver-xorg-input-all-hwe-18.04 xserver-xorg-input-libinput-hwe-18.04
  xserver-xorg-video-all-hwe-18.04 xserver-xorg-video-ati-hwe-18.04
  xserver-xorg-video-intel-hwe-18.04 xserver-xorg-video-qxl-hwe-18.04
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 6 non mis à jour.

a priori il me dit qu'alien est déjà la version la plus récente

Pour remplacer le mot "paquet" mis en exemple, comment je sais quoi mettre ?

Hors ligne

#32 Le 05/11/2020, à 12:34

xubu1957

Re : [Résolu] Epson 2100

Si tu as téléchargé un paquet finissant autrement que par .deb, tu dois bien le retrouver.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#33 Le 06/11/2020, à 14:38

Sessklah

Re : [Résolu] Epson 2100

Bon bah ... Ca fonctionne. Alors ce que j'ai fait, c'est uniquement télécharger les driver sur le site epson du coup comme j'ai dit mais l'histoire de Alien etc je n'en ai pas eu besoin. J'ai laisser cette histoire depuis hier matin et aujourd'hui je me suis dit que j'avais rien a perdre a essayer et ça a fonctionné.
Je te remercie énormément Xubu pour toute l'aide que tu m'a apporté et la patience dont tu as fait preuve.
Bises a toutes et tous et bon confinement, je passe en résolu

Hors ligne